Package de.willuhn.jameica.hbci.rmi

# Interface SepaSammelLastschrift

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SepaPayment`, `SepaSammelTransfer<SepaSammelLastBuchung>`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `SepaSammelLastschriftImpl`

public interface SepaSammelLastschrift extends SepaSammelTransfer<SepaSammelLastBuchung>
Interface fuer SEPA-Sammellastschriften.

## Method Summary

Modifier and Type
Method
Description
`String`
`getOrderId()`
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.
`SepaLastSequenceType`
`getSequenceType()`
Liefert den Sequenz-Typ der Lastschrft.
`Date`
`getTargetDate()`
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.
`SepaLastType`
`getType()`
Liefert den Typ der Lastschrft.
`void`
`setOrderId(String orderId)`
Speichert die von der Bank zurueckgemeldete Order-ID.
`void`
`setSequenceType(SepaLastSequenceType type)`
Speichert den Sequenz-Typ der Lastschrift.
`void`
`setTargetDate(Date date)`
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.
`void`
`setType(SepaLastType type)`
Speichert den Typ der Lastschrift.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaPayment

`getPmtInfId, setPmtInfId`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransfer

`createBuchung, getBezeichnung, getBuchungen, getKonto, getSumme, setBezeichnung, setKonto`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getSequenceType

SepaLastSequenceType getSequenceType() throws RemoteException
Liefert den Sequenz-Typ der Lastschrft.

Returns:
  der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`

### setSequenceType

void setSequenceType(SepaLastSequenceType type) throws RemoteException
Speichert den Sequenz-Typ der Lastschrift.

Parameters:
  `type` - der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`

### getTargetDate

Date getTargetDate() throws RemoteException
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.

Returns:
  das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`

### setTargetDate

void setTargetDate(Date date) throws RemoteException
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.

Parameters:
  `date` - das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`

### getType

SepaLastType getType() throws RemoteException
Liefert den Typ der Lastschrft.

Returns:
  der Typ der Lastschrift.
Throws:
  `RemoteException`

### setType

void setType(SepaLastType type) throws RemoteException
Speichert den Typ der Lastschrift.

Parameters:
  `type` - der Typ der Lastschrift.
Throws:
  `RemoteException`

### getOrderId

String getOrderId() throws RemoteException
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.

Returns:
  die Order-ID. NULL, wenn der Auftrag noch nicht an die Bank gesendet wurde.
Throws:
  `RemoteException`

### setOrderId

void setOrderId(String orderId) throws RemoteException
Speichert die von der Bank zurueckgemeldete Order-ID.

Parameters:
  `orderId` - die von der Bank zurueckgemeldete Order-ID.
Throws:
  `RemoteException`